Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 174206 - [68cat] web.xml not marked as modified after change in form
[68cat] web.xml not marked as modified after change in form
Status: RESOLVED WONTFIX
Product: javaee
Classification: Unclassified
Component: Code
6.x
PC Windows Vista
: P4 (vote)
: TBD
Assigned To: issues@javaee
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-09 11:49 UTC by denbo
Modified: 2016-07-07 08:52 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description denbo 2009-10-09 11:49:01 UTC
[ JDK VERSION : 1.6.* ]

6.8 M2

A minor issue, when editing a web.xml file in form mode (e.g.
"Servlets > URL Pattern(s): > modify pattern", the file is not marked
as unsaved in the tab. The file name should be rendered in bold font
but it is still in normal font.
Comment 1 tomwheeler 2011-10-05 01:17:11 UTC
I am documenting the sequence needed to reproduce this problem, which I have verified still exists in NetBeans 7.1 beta.  I hope that one of the participants in the First Patch program will be able to fix it.

1.  Edit an existing Java Web application which has at least one servlet. If you do not have such an example, you can create one via File -> New Project -> Samples -> Java Web -> Servlet Examples.

2.  In the Projects tab, expand Web Pages, then WEB-INF and then double-click the web.xml icon.

3.  Click the servlets button (between "General" and "Filters") at the top of the editor window.  This will display the graphical editor mode for web.xml

4.  Modify the value shown in the textfield to the right of "URL Pattern(s)".

Although this does indeed modify the web.xml file (you can verify this by closing the editor, at which point you will be prompted to save the change), it fails to follow NetBeans convention of making the editor's title tab tab bold when the document is modified.  

Also note that it *does* make the editor's title tab bold if you edit the document using the source editor (click the "Source" button in the upper-left corner of the editor to change to source mode).  Therefore, this bug only affects edits performed via the graphical editor.

Finally, I found that this bug is not limited to the "URL Pattern(s)" textfield -- none of the fields (Servlet Name, Startup Order, Servlet Class) reacted to changes in their textfields by making the editor tab bold.
Comment 2 Martin Balin 2016-07-07 08:52:56 UTC
This old bug may not be relevant anymore. If you can still reproduce it in 8.2 development builds please reopen this issue.

Thanks for your cooperation,
NetBeans IDE 8.2 Release Boss


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo